using System.Collections.Generic;
using Knoks.Core.Entities;
using System.Threading.Tasks;
using Knoks.Core.Entities.Args;

namespace Knoks.Core.Data.Interfaces
{
    public interface IOperatorDao
    {
        Task<Operator> CreateOperator(CreateOperatorArgs args);
        Task<IEnumerable<Operator>> GetOperators(int? operatorId = null);
        Task<OperatorCredential> GetOperatorCredential(int apiConsumerId, string operatorName);
    }
}
